Index: main/waeup.sirp/trunk/src/waeup/sirp/widgets/objectwidget.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/widgets/objectwidget.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/widgets/objectwidget.py	(revision 7321)
@@ -25,8 +25,8 @@
 from zope.schema import getFieldNamesInOrder
 
-class WAeUPObjectWidgetView(ObjectWidgetView):
+class SIRPObjectWidgetView(ObjectWidgetView):
     template = ViewPageTemplateFile('objectwidget.pt')
 
-class WAeUPObjectWidget(ObjectWidget):
+class SIRPObjectWidget(ObjectWidget):
 
     def __init__(self, context, request, factory, **kw):
@@ -58,7 +58,7 @@
 
     def _getView(self, request):
-        return WAeUPObjectWidgetView(self, request)
+        return SIRPObjectWidgetView(self, request)
 
-class WAeUPObjectDisplayWidget(WAeUPObjectWidget):
+class SIRPObjectDisplayWidget(SIRPObjectWidget):
 
     implementsOnly(IDisplayWidget)
Index: main/waeup.sirp/trunk/src/waeup/sirp/widgets/tests/test_objectwidget.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/widgets/tests/test_objectwidget.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/widgets/tests/test_objectwidget.py	(revision 7321)
@@ -38,7 +38,7 @@
 from zope.formlib.interfaces import IWidgetInputErrorView
 
-from waeup.sirp.widgets.objectwidget import WAeUPObjectWidget as ObjectWidget
+from waeup.sirp.widgets.objectwidget import SIRPObjectWidget as ObjectWidget
 from waeup.sirp.widgets.objectwidget import (
-    WAeUPObjectDisplayWidget as ObjectDisplayWidget)
+    SIRPObjectDisplayWidget as ObjectDisplayWidget)
 
 class ITestContact(Interface):
Index: main/waeup.sirp/trunk/src/waeup/sirp/workflow.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/workflow.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/workflow.py	(revision 7321)
@@ -25,7 +25,7 @@
 from zope.security.interfaces import NoInteraction
 from zope.security.management import getInteraction
-from waeup.sirp.interfaces import IWAeUPWorkflowInfo
+from waeup.sirp.interfaces import ISIRPWorkflowInfo
 
-class WAeUPWorkflow(Workflow):
+class SIRPWorkflow(Workflow):
     """A :mod:`hurry.workflow` workflow with more appropriate error
        messages.
@@ -71,9 +71,9 @@
         return False
 
-class WAeUPWorkflowInfo(WorkflowInfo):
+class SIRPWorkflowInfo(WorkflowInfo):
     """A workflow info that provides a convenience transition getter.
     """
 
-    grok.provides(IWAeUPWorkflowInfo)
+    grok.provides(ISIRPWorkflowInfo)
 
     def getManualTransitions(self):
